<?php
  ///////////////////////////////////////////////////
  // Система учёта посещаемости сайта - PowerCounter
  // 2003-2006 (C) IT-студия SoftTime (http://www.softtime.ru)
  // Поддержка: http://www.softtime.ru/forum/
  // Симдянов И.В. (simdyanov@softtime.ru)
  // Кузнецов М.В. (kuznetsov@softtime.ru)
  // Голышев С.В. (softtime@softtime.ru)
  ///////////////////////////////////////////////////
  // Выставляем уровень обработки ошибок (http://www.softtime.ru/info/articlephp.php?id_article=23)
  Error_Reporting(E_ALL & ~E_NOTICE); 
  // Устанавливаем соединение с базой данных
  require_once("config.php");

  if(empty($_POST['reff']))
  {
    echo "<p>Недопустимое имя рефферера</p>";
    echo "<p><A HREF='links.php'>Вернуться</A></p>";
    exit();
  }

  $query_reff = "INSERT INTO $tbl_links VALUES (0,'".$_POST['reff']."','".$_POST['']."')";
  if (mysql_query($query_reff))
  {
    echo "<HTML><HEAD>
          <META HTTP-EQUIV='Refresh' CONTENT='0; URL=links.php'>
          </HEAD></HTML>";
  }
  else
  {
    echo("<p> Ошибка при добавлении реферера...</p>");
    echo "<b>Error: ".mysql_error()."</b>";
    echo("<P> $query_reff</P>");
    exit();
  };
?>